SDL_SetJoystickVirtualBall(3)

NAME
SDL_SetJoystickVirtualBall - Generate ball motion on an opened virtual joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetJoystickVirtualBall(SDL_Joystick *joystick, int ball, Sint16 xrel, Sint16 yrel);

DESCRIPTION
Please note that values set here will not be applied until the next call to

SDL_UpdateJoysticks , which can either be called directly, or can be called indirectly through various other SDL APIs, including, but not limited to the following:

SDL_PollEvent , SDL_PumpEvents ,

SDL_WaitEventTimeout ,

SDL_WaitEvent .

FUNCTION PARAMETERS

joystick
    the virtual joystick on which to set state.

ball
    the index of the ball on the virtual joystick to update.

xrel
    the relative motion on the X axis.

yrel
    the relative motion on the Y axis.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.